Changeset 68149a5


Ignore:
Timestamp:
01/28/15 07:00:02 (7 months ago)
Author:
Kris Moore <kris@…>
Branches:
releng/10.1.1
Children:
ace394eb
Parents:
9d51f976
git-author:
Kris Moore <kris@…> (01/28/15 06:59:04)
git-committer:
Kris Moore <kris@…> (01/28/15 07:00:02)
Message:

Add ERROR message / warning to users trying to do upgrades when they
have manually locked packages.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • src-sh/pcbsd-utils/pc-updatemanager/pc-updatemanager

    r9d51f976 r68149a5  
    958958build_pkg_list() 
    959959{ 
     960  # Check if any packages are locked and bail if so 
     961  if [ -n "`pkg lock -l | grep -v 'locked packages:'`" ] ; then 
     962    if [ -e "/usr/local/bin/pc-systemflag" ] ; then 
     963      pc-systemflag PKGUPDATE ERROR 
     964    fi 
     965    start_syscache 
     966    exit_err "You have LOCKED packages in your repo! These must be unlocked, or you can run pkg upgrade manually." 
     967  fi 
     968 
    960969  # Figure out which base to install 
    961970  pkg info -e pcbsd-base 
Note: See TracChangeset for help on using the changeset viewer.